#pragma once

#include "../libtgvoip/webrtc_dsp/common_audio/wav_file.h"

struct WavReader {
    WavReader(const std::string &file_name) : reader_{file_name} {}

    void operator() (int16_t *data, size_t len) {
        reader_.ReadSamples(len, data);
    }
private:
    webrtc::WavReader reader_;
};

struct WavWriter {
    WavWriter(const std::string &file_name, int sample_rate = 48000, size_t num_channels = 2) : writer_{file_name, sample_rate, num_channels} {}

    void operator() (int16_t *data, size_t len) {
        writer_.WriteSamples(data, len);
    }
private:
    webrtc::WavWriter writer_;
};
